@echo off
 
rem 対象ファイル名を変数「file」に代入
set file=C:\ProgramData\MySQL\MySQL Server 5.7\my.ini

echo 設定ファイルのバックアップを取得します。すでに存在する場合は上書きをしないでください。
copy /-Y "C:\ProgramData\MySQL\MySQL Server 5.7\my.ini" "C:\ProgramData\MySQL\MySQL Server 5.7\my.ini_bk"

rem メッセージとメモ帳の起動
echo mysql設定ファイルを編集して下さい。
call notepad.exe %file%
